/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.server.exception;

import org.ow2.petals.basisapi.exception.PetalsException;

/**
 * An error occurs during the processing of the Petals composite controller
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PetalsCompositeCtrlException extends PetalsException {

    private static final long serialVersionUID = -7792609472689189133L;

    /**
     * @param message
     *            The message of the error cause
     */
    public PetalsCompositeCtrlException(final String message) {
        super(message);
    }

    /**
     * @param message
     *            The message of the error cause
     * @param cause
     *            The error cause
     */
    public PetalsCompositeCtrlException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * @param cause
     *            The error cause
     */
    public PetalsCompositeCtrlException(final Throwable cause) {
        super(cause);
    }

}
