/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.system.persistence;

public interface PersistenceService {

    /**
     * The HSQLDB driver
     */
    public static final String HSQLDB_DRIVER = "org.hsqldb.jdbcDriver";

    /**
     * The ORACLE driver
     */
    public static final String ORACLE_DRIVER = "oracle.jdbc.driver.OracleDriver";

    /**
     * The MYSQL driver
     */
    public static final String MYSQL_DRIVER = "com.mysql.jdbc.Driver";

    /**
     * The default User configuration
     */
    public static final String DEFAULT_USER = "SA";

    /**
     * The default Password configuration
     */
    public static final String DEFAULT_PASSWORD = "";

    /**
     * Default Persistence duration
     */
    public static final long DEFAULT_DURATION = 3600000;

    /**
     * Default Persistence SQL request fetch size
     */
    public static final int DEFAULT_FETCHSIZE = 10;

}
