/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.topology.exception;


/**
 * An error occurs adding a container to the topology.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class AddContainerException extends TopologyServiceException {

    private static final long serialVersionUID = -4141817144491234909L;

    private final static String MESSAGE_TEMPLATE = "Can't add the container '%s' to the topology";

    /**
     * Name of the container to add
     */
    private final String containerName;

    public AddContainerException(final String containerName) {
        this(containerName, null);
    }

    public AddContainerException(final String containerName, final Throwable cause) {
        super(String.format(MESSAGE_TEMPLATE, (containerName == null ? "null" : containerName)),
                cause);
        this.containerName = containerName;
    }

    /**
     * @return Name of the container to add
     */
    public String getContainerName() {
        return this.containerName;
    }
    
}
