/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.topology.exception;

/**
 * An inconsistency has been detected at container name level, the container name is not foudn in the topology
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InconsistentContainerNameException extends InconsistencyContainerException {

    private static final long serialVersionUID = -496874883325029554L;

    private static final String MESSAGE_PATTERN = "Inconsistency detected in container name: container '%s' not found in the topology";

    public InconsistentContainerNameException(final String containerName) {
        super(String.format(MESSAGE_PATTERN, containerName));
    }

}
