/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.topology.exception;


/**
 * The sub-domain has not been found.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class SubDomainNotFoundException extends TopologyServiceException {

    private static final long serialVersionUID = 3022021997981724392L;

    private final static String MESSAGE_TEMPLATE = "The sub-domain '%s' has not been found.";

    private final static String MESSAGE_TEMPLATE_CURRENT = "The current sub-domain has not been found.";

    public SubDomainNotFoundException(final String subdomainName) {
        super(subdomainName == null ? MESSAGE_TEMPLATE_CURRENT : String.format(MESSAGE_TEMPLATE, subdomainName));
    }

}
